﻿    .main-content-wrap {
        min-height: calc(100vh - 120px) !important;
        height: auto !important;
    }

    .layout-sidebar-large .main-content-wrap {
        margin-left: 120px !important;
        width: calc(100% - 120px) !important;
    }
.modal-header .close {
    padding: 1rem;
    margin: 0rem 0rem 0rem auto;
}
@media (max-width: 576px) {

    .app-admin-wrap {
        width: 100% !important;
        max-width: 100% !important;
        overflow-x: visible !important;
    }

    .layout-sidebar-large .main-content-wrap {
        margin-left: 0 !important;
        width: 100% !important;
    }


    .container-fluid {
        padding-left: 12px !important;
        padding-right: 12px !important;
        padding-top: 15px;
    }

    .row {
        margin-left: 0 !important;
        margin-right: 0 !important;
    }
    .gapwarpper {
        padding: 0rem 0rem 0 !important;
    }


    .modal-title {
        padding-left: 2rem;
    }
    .modal-header .close {
        padding: 1rem;
        margin: -2rem -1rem -1rem auto;
    }

}


    @media (max-width: 991px) {


        .d-flex.justify-content-between.flex-wrap > div {
            flex: 0 0 100% !important;
            margin-bottom: 10px;
        }

        .ktam-search-wrapper {
            width: 100% !important;
        }

        .ktam-search-input {
            width: 100% !important;
        }


        .set-pad-card {
            padding: 0px 5px !important;
        }

        .fund-card {
            padding: 18px !important;
        }

            .fund-card .top-row {
                flex-direction: row;
                justify-content: space-between;
                align-items: flex-start;
            }
    }
        @media (max-width: 768px) {

            .row {
                margin-left: -5px !important;
                margin-right: -5px !important;
            }

            .page-title2 {
                font-size: 20px !important;
            }

            .fund-card {
                padding: 16px !important;
              
                margin-bottom: 15px;
            }

            .top-row {
                flex-direction: column !important;
                gap: 10px;
            }

                .top-row .right {
                    justify-content: flex-start !important;
                    text-align: left !important;
                }

            .nav-left .nav-value {
                font-size: 20px !important;
            }

            .change-up,
            .change-down {
                font-size: 14px !important;
            }

            .nav-date-wrapper label {
                font-size: 14px !important;
                margin-top: 8px;
                display: block;
            }

            .modal-dialog {
                max-width: 95% !important;
                margin: 10px auto !important;
            }

            #ReqFundCode {
                width: 100% !important;
            }

            #ReqSearch,
            #tryReqSearch {
                width: 100% !important;
            }
        }
    @media (max-width: 767px) and (min-width: 577px) {
        .gapwarpper {
            padding: 0rem 0rem 0;
        }
    }

        @media (max-width: 576px) {
            .main-content-wrap {
                margin-left: 0;
                margin-right: 2px;
            }

            .fund-name {
                font-size: 16px !important;
                line-height: 1.3 !important;
            }

            .risk-level {
                width: 40px !important;
                height: 40px !important;
                font-size: 27px !important;
            }


            .nav-value {
                font-size: 18px !important;
            }

            .rowtryfund {
                flex-direction: column !important;
                gap: 12px;
            }
        }


        @media (max-width: 480px) {
            .main-content-wrap {
                margin-left: 0;
                margin-right: 2px;
            }

            .fund-card {
                padding: 14px !important;
            }

            .fund-code {
                font-size: 18px !important;
            }

            .fund-name {
                font-size: 15px !important;
            }

            .risk-label {
                font-size: 12px !important;
                line-height: 1.2 !important;
            }

            .nav-left .nav-label {
                font-size: 13px !important;
            }

            .nav-value {
                font-size: 16px !important;
            }

            .text-time {
                font-size: 12px !important;
            }

            #ReqFundtry,
            #field_fundname {
                width: 100% !important;
                height: 45px !important;
            }
        }


        @media (max-width: 360px) {
            .main-content-wrap {
                margin-left: 0;
                margin-right: 2px;
            }

            .fund-card {
                padding: 12px !important;
            }

            .fund-name {
                font-size: 14px !important;
            }

            .risk-level {
                width: 36px !important;
                height: 36px !important;
              
            }

            .nav-value {
                font-size: 15px !important;
            }
        }

    @media (min-width: 576px) and (max-width: 1024px) {
        .layout-sidebar-large .main-content-wrap {
            margin-left: 90px !important;
            width: calc(100% - 100px) !important;
        }
    
    }


        @media (min-width: 991px) and (max-width: 1024px) {

            

            .container-fluid {
                padding-left: 20px !important;
                padding-right: 20px !important;
            }


            .d-flex.justify-content-between.flex-wrap > div {
                flex: 0 0 48% !important;
                min-width: auto !important;
            }

            #ReqFundtry,
            #field_fundname {
                width: 100% !important;
            }

            .ktam-search-wrapper {
                width: 100% !important;
            }

            .set-pad-card {
                padding: 10px !important;
            }

            .fund-card {
                padding: 22px !important;
            }

            .fund-name {
                font-size: 18px !important;
                line-height: 1.4 !important;
            }

            .nav-left .nav-value {
                font-size: 19px !important;
            }
            .modal-header .close {
                padding: 1rem;
                margin: 0rem 0rem 0rem auto !important;
            }
        }

        @media (max-width: 991px) {

            .fund-name {
                font-size: 16px !important;
                color: #333333;
                margin-top: 4px;
            }

            .fund-code {
                font-size: 20px;
                font-weight: 700;
                color: #00A4E4;
            }

            .change-up {
                font-size: 15px;
            }

            .change-down {
                font-size: 15px;
            }

            .text-time {
                font-size: 15px !important;
            }
        }
      /*  -----------modal------------*/



@media (max-width: 991px) {

    .modal-dialog.modal-lg {
        max-width: 90% !important;
        margin: 15px auto !important;
    }



    #ReqFundCode {
        width: 100% !important;
        height: 45px !important;
    }

    .w-60 {
        width: 100% !important;
    }
   

    #exampleModal .row label.radio {
        font-size: 16px !important;
        width: 100% !important;
    }
    .rowtryfund {
        display: flex;
        flex-direction: column;
        gap: 12px;
        margin-top: 15px;
        width: 100%;
    }

    .rowtryfund .ktam-dropdown {
        width: 100% !important;
    }

    #exampleModal .row button.btn-outline-primary {
        width: 100% !important;
        font-size: 18px !important;
        padding: 8px 0 !important;
    }



}



@media (max-width: 576px) {

    .modal-dialog.modal-lg {
        max-width: 95% !important;
        margin: 10px auto !important;
    }

    .modal-header h5 {
        font-size: 22px !important;
    }


    .ktam-dropdown,
    #ReqFundCode {
        font-size: 16px !important;
        height: 45px !important;
    }
    .risk-row {
        display: flex;
        flex-wrap: wrap;
        gap: 8px;
    }

    

    .w-60 {
        max-width:1000px;
        width: 100% !important;
        margin-top:0.5rem;
    }
    .form-control {
        margin-top: 0.5rem;
    } 
}

@media (max-width: 400px) {

    .modal-header h5 {
        font-size: 20px !important;
    }

    button.btn-outline-primary {
        font-size: 16px !important;
    }

}

.risk-row {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}


.risk-row .risk-item {
    flex: 0 0 calc(12.5% - 12px);
    min-width: 90px;
}

@media (max-width: 1024px) {
    .risk-row .risk-item {
        flex: 0 0 calc(25% - 12px);
    }
}

@media (max-width: 576px) {
    .risk-row .risk-item {
        flex: 0 0 calc(33.33% - 12px);
    }
}


.risk-item button {
    width: 100% !important;
    font-size: 18px;
}


.risk-label-text {
    text-align: center;
    font-size: 16px;
    margin-top: 6px;
}
@media (min-width: 1200px) {

    .risk-row {
        display: flex;
        flex-wrap: nowrap !important;
        gap: 10px;
        align-items: flex-start;
    }

    .risk-item {
        flex: 0 0 auto !important;
        width: 80px !important;
        text-align: center;
    }

    .risk-item button {
        width: 100% !important;
        height: 45px;
        font-size: 18px;
    }

    .risk-label-text {
        margin-top: 6px;
        font-size: 16px;
        white-space: nowrap;
    }


    .risk-item:first-child .risk-label-text {
        transform: translateX(-5px);
    }


    .risk-item:last-child .risk-label-text {
        transform: translateX(-5px);
    }
}

@media (max-width: 1025px) {
    .risk-label-text {
        display: none !important;
    }
}
@media (max-width: 576px) {

  

    .dividend-row > div.col-4 {
        flex: 1 !important;
        max-width: none !important;
        padding: 0 5px !important;
        text-align: center !important;
    }


    .dividend-row {
        display: flex !important;
        justify-content: flex-start;
        width: 38% !important;
        padding-left: 0 !important;
        padding-right: 0 !important;
        margin: 9px !important;
        align-items: flex-start;
        flex-direction: column;
        align-content: flex-start;
    }
}

    .dividend-row input[type="checkbox"] {
        width: 18px !important;
        height: 18px !important;
    }
    @media (max-width: 767px) {
        .btn-success, .btn-primary {
            margin-top: 0.5rem;
        }
    }
    .paddingedit {
        padding-left: 0px !important;
        padding-right: 0;
    }

.ktam-search-wrapper,
.ktam-search-input {
    width: 100%;
}

@media (min-width: 992px) {
    .search-lg-right {
        width: 350px; 
    }

        .search-lg-right .ktam-search-input {
            width: 100%;
        }
}